Template::Plugin::Format(3)

NAME
Template::Plugin::Format - Plugin to create formatting functions

SYNOPSIS
    [% USE format %]
    [% commented = format('# %s') %]
    [% commented('The cat sat on the mat') %]

    [% USE bold = format('<b>%s</b>') %]
    [% bold('Hello') %]

DESCRIPTION
The format plugin constructs sub-routines which format text according to a printf()-like format string.

AUTHOR
Andy Wardley <abw@andywardley.com>

<http://www.andywardley.com/|http://www.andywardley.com/>

VERSION
2.65, distributed as part of the Template Toolkit version 2.14, released on 04 October 2004.

COPYRIGHT
  Copyright (C) 1996-2004 Andy Wardley.  All Rights Reserved.
  Copyright (C) 1998-2002 Canon Research Centre Europe Ltd.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin